Skip to main content
GET
/
batches
/
{id}
Get Batch
curl --request GET \
  --url https://{gatewayBaseURL}/batches/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "endpoint": "<string>",
  "input_file_id": "<string>",
  "completion_window": "<string>",
  "status": "<string>",
  "output_file_id": "<string>",
  "error_file_id": "<string>",
  "created_at": 123,
  "in_progress_at": 123,
  "expires_at": 123,
  "finalizing_at": 123,
  "completed_at": 123,
  "failed_at": 123,
  "expired_at": 123,
  "cancelling_at": 123,
  "cancelled_at": 123,
  "request_counts": {
    "total": 123,
    "completed": 123,
    "failed": 123
  },
  "errors": "<unknown>",
  "metadata": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

x-tfy-provider-name
string

Name of the provider

x-tfy-azure-api-version
string

Azure OpenAI API version for the deployment

x-tfy-vertex-storage-bucket-name
string

Vertex AI storage bucket name

x-tfy-vertex-region
string

Vertex AI region (e.g., europe-west4)

x-tfy-provider-model
string

Provider-specific model identifier

x-tfy-aws-s3-bucket
string

AWS S3 bucket name (Bedrock batch)

x-tfy-aws-bedrock-model
string

AWS Bedrock model identifier

Path Parameters

id
string
required

Batch ID.

Response

Batch retrieved successfully

id
string
required

Batch ID.

object
string
required

Object type.

endpoint
string
required

API endpoint.

input_file_id
string
required

Input file ID.

completion_window
string
required

Completion window.

status
string
required

Batch status.

output_file_id
string | null
required

Output file ID.

error_file_id
string | null
required

Error file ID.

created_at
number
required

Creation timestamp.

in_progress_at
number | null
required

In-progress timestamp.

expires_at
number
required

Expiration timestamp.

finalizing_at
number | null
required

Finalizing timestamp.

completed_at
number | null
required

Completion timestamp.

failed_at
number | null
required

Failure timestamp.

expired_at
number | null
required

Expiration timestamp.

cancelling_at
number | null
required

Cancelling timestamp.

cancelled_at
number | null
required

Cancelled timestamp.

request_counts
object
required

Request counts.

errors
any

Errors associated with the batch.

metadata
any

Additional metadata.